Public Class Frm_FileInfo

    Private Sub Frm_FileInfo_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load

        Me.tb_name.Text = Prj.Name
        Me.tb_desc.Text = Prj.Desc
        Me.tb_maketime.Text = Prj.MakeTime
        Me.tb_Edittime.Text = Prj.EditTime
        Me.tb_lg.Text = Prj.LGVersino
        Me.tb_ui.Text = Prj.UIVersion
        Me.cmb_ft.SelectedIndex = CInt(Prj.SFType)
        Select Case Me.cmb_ft.SelectedIndex
            Case 1
                Me.tb_password.Text = Prj.Password
            Case Else
                Me.tb_password.Text = ""
        End Select
        If Me.cmb_ft.SelectedIndex = -1 Then Me.cmb_ft.SelectedIndex = 1
    End Sub

    Private Sub Cmb_ft_SelectedIndexChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles cmb_ft.SelectedIndexChanged
        Select Case Me.cmb_ft.SelectedIndex
            Case 0
                Me.tb_password.Text = ""
                Me.tb_password.Enabled = False
            Case 1
                Me.cmb_ft.Enabled = True
            Case Else
                Me.tb_password.Text = ""
                Me.tb_password.Enabled = False
        End Select
    End Sub

    Private Sub Button1_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button1.Click

        Prj.Name = Me.tb_name.Text
        Prj.Desc = Me.tb_desc.Text
        Prj.MakeTime = Me.tb_maketime.Text
        Prj.EditTime = Me.tb_Edittime.Text
        Prj.LGVersino = Me.tb_lg.Text
        Prj.UIVersion = Me.tb_ui.Text
        Prj.SFType = Format(Me.cmb_ft.SelectedIndex, "00")
        Me.DialogResult = Windows.Forms.DialogResult.OK
    End Sub
End Class